# $Revision: 1.11 $, $Date: 2010/06/06 08:36:39 $
#
# Conditional build:
%bcond_with	tests	# perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Geo
%define		pnam	Shapelib
Summary:	Geo::Shapelib - Perl extension for reading and writing shapefiles as defined by ESRI(r)
Summary(pl.UTF-8):	Geo::Shapelib - rozszerzenie Perla o obsługę r/w plików ESRI(r) SHP
Name:		perl-Geo-Shapelib
Version:	0.20
Release:	3
License:	GPL
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Geo/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	ca0246d5b5c8950153a5c48eea0d2d2c
URL:		http://search.cpan.org/dist/Geo-Shapelib/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Tree-R
%endif
Requires:	perl-Tree-R
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a library for reading, creating, and writing shapefiles as
defined by ESRI(r) using Perl. The Perl code uses Frank Warmerdam's
Shapefile C Library (http://shapelib.maptools.org/). The library is
included in this distribution.

%description -l pl.UTF-8
Biblioteka ta umożliwia wczytywanie, tworzenie oraz zapisywanie tzw.
shapefiles zdefiniowanych przez ESRI(r) z poziomu Perla. Kod
wykorzystuje bibliotekę C Shapefile Franka Warmerdama
(http://shapelib.maptools.org/). Biblioteka ta jest załączona w
pakiecie.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/Geo/Shapelib.pm
%dir %{perl_vendorarch}/auto/Geo/Shapelib
%{perl_vendorarch}/auto/Geo/Shapelib/Shapelib.bs
%{perl_vendorarch}/auto/Geo/Shapelib/shputils
%attr(755,root,root) %{perl_vendorarch}/auto/Geo/Shapelib/Shapelib.so
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Geo-Shapelib.spec,v $
Revision 1.11  2010/06/06 08:36:39  arekm
- release 3

Revision 1.10  2008/02/10 12:10:30  arekm
- rel 2

Revision 1.9  2007-12-19 15:48:46  zbyniu
- up to 0.20

Revision 1.8  2007-03-31 11:14:07  qboosh
- generic URL

Revision 1.7  2007/03/26 22:16:27  radek
- rel 3

Revision 1.6  2007/02/13 07:47:12  glen
- tabs in preamble

Revision 1.5  2007/02/12 00:49:33  baggins
- converted to UTF-8

Revision 1.4  2006/08/25 20:33:46  radek
- release 2: not noarch

Revision 1.3  2005/07/12 20:50:53  qboosh
- formatting

Revision 1.2  2005/07/07 18:21:00  bartowl
- Source0-md5 added

Revision 1.1  2005/07/07 18:19:14  bartowl
- initial release
- STBR (checked locally)
